Subject: Re: bug#19776: 25.0.50; HTML rendering is very slow

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 25 Oct 2021 15:11:03 +0200

Andreas Schwab <[email-masked]> writes:

>> When Emacs is busy looping, we never get a callback -- presumably
>> because we're not reading any file descriptors in that case?  But...
>> was the idea that this would work in a busy Emacs?  I mean, events from
>> the keyboard/mouse are able to poke Emacs in a way that it realises that
>> it has a pending event to handle, but not the timerfd?
>
> maybe_quit does call process_pending_signals, so this should work the
> same way as quit.

But how do we make Emacs respond to timerfd events the same as quit?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no